import Blender
from Blender import *
from Blender.Mathutils import *
def get_selected():
    scn = Scene.GetCurrent()
    objects = Object.Get()
    obj = None
    for ob in objects:
        if ob.isSelected():
            obj = ob
    return obj
def main():
    global scn
    scn = Scene.GetCurrent()
    staframe = Get('staframe')
    endframe = Get('endframe')
    Blender.Set('curframe',staframe)
    ob = get_selected()
    print 'selected ob ',ob
    print 'location ',ob.getLocation()
    (x,y,z) = ob.getLocation()
    print 'loc = ',(x,y,z)
    rot = ob.getEuler()
    print 'rot = ',rot

    ob.insertIpoKey(Blender.Object.ROT)
    ob.insertIpoKey(Blender.Object.LOC)
    Blender.Set('curframe',endframe)
    dest_x = scn.properties['BoneAnmHdr1']['dest_x']
    dest_y = scn.properties['BoneAnmHdr1']['dest_y']
    dest_z = scn.properties['BoneAnmHdr1']['dest_z']
    angle = scn.properties['BoneAnmHdr1']['dest_angle']
    rot[2] += angle
    x += dest_x
    y += dest_y
    z += dest_z
    ob.setLocation(x,y,z)
    ob.setEuler(rot)
    print 'ob.location ',ob.getLocation()
    print 'ob.rotation ',ob.getEuler()
    ob.insertIpoKey(Blender.Object.ROT)
    ob.insertIpoKey(Blender.Object.LOC)
    ipos = Ipo.Get()
    for ipo in ipos:
        ipo = Ipo.Get('ObIpo')
        icu_x = ipo[Blender.Ipo.OB_LOCX]
        icu_y = ipo[Blender.Ipo.OB_LOCY]
        icu_z = ipo[Blender.Ipo.OB_LOCZ]
        icu_rz = ipo[Blender.Ipo.OB_ROTZ]
        icu_x.interpolation = 1
        icu_y.interpolation = 1
        icu_z.interpolation = 1
        icu_rz.interpolation = 1
    
main()
            
